Fetch all transactions
curl --request GET \
--url https://api-staging.stablestack.com/api/transactions \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api-staging.stablestack.com/api/transactions"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api-staging.stablestack.com/api/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-staging.stablestack.com/api/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-staging.stablestack.com/api/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-staging.stablestack.com/api/transactions")
.header("x-api-key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-staging.stablestack.com/api/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<x-api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": [
{
"id": "78f599ba-cddd-49fb-809a-246d0471d836",
"sender_wallet_id": null,
"receiver_wallet_id": null,
"transaction_id": "IWGAHO83UD",
"asset_code": "USDC",
"amount": "12.00000000",
"reference_id": "a988fc09-72e3-44f4-834d-2210cb4c9982",
"status": "PENDING",
"created_at": "2025-05-20T19:49:30.295Z",
"updated_at": "2025-05-20T19:49:30.295Z",
"crypto_transaction_id": null,
"network": null,
"transaction_type": "PAYOUT",
"transaction_mode": "DEBIT",
"exchange_rate": "1616.00",
"withdrawal_recipient_name": "John Doe",
"fee": "50.00",
"balance": "0.00000000",
"reason": "Withdraw to 1234567890/000004",
"customer_id": null,
"recipient_currency": "NGN",
"recipient_country": "Nigeria",
"bank_name": "Example Bank",
"bank_code": "000004",
"address": null,
"bank_account": "1234567890"
},
{
"id": "94f18946-9976-4b01-bbf2-7dda9f0c9fc7",
"sender_wallet_id": null,
"receiver_wallet_id": null,
"transaction_id": "WDOG7EK8Q1",
"asset_code": "USDC",
"amount": "55.00000000",
"reference_id": "e8131542-0d71-4d93-8415-d07d357145f6",
"status": "PENDING",
"created_at": "2025-05-19T08:55:58.220Z",
"updated_at": "2025-05-19T08:55:58.220Z",
"crypto_transaction_id": null,
"network": null,
"transaction_type": "PAYOUT",
"transaction_mode": "DEBIT",
"exchange_rate": "1611.74",
"withdrawal_recipient_name": "Jane Smith",
"fee": "50.00",
"balance": "0.00000000",
"reason": "Withdraw to 9876543210/000004",
"customer_id": null,
"recipient_currency": "NGN",
"recipient_country": "Nigeria",
"bank_name": "Sample Bank",
"bank_code": "000004",
"address": null,
"bank_account": "9876543210"
}
],
"pagination": {
"total": 2,
"page": 1,
"limit": 10,
"totalPages": 1
}
}{
"status": "error",
"message": "Invalid date format. Please use YYYY-MM-DD",
"code": "INVALID_DATE_FORMAT"
}{
"status": "error",
"message": "Authentication required",
"code": "UNAUTHORIZED"
}{
"status": "error",
"message": "Too many requests",
"code": "RATE_LIMIT_EXCEEDED"
}Transactions
Get Transactions
API reference for fetching all transactions
GET
/
transactions
Fetch all transactions
curl --request GET \
--url https://api-staging.stablestack.com/api/transactions \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api-staging.stablestack.com/api/transactions"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api-staging.stablestack.com/api/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-staging.stablestack.com/api/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-staging.stablestack.com/api/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-staging.stablestack.com/api/transactions")
.header("x-api-key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-staging.stablestack.com/api/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<x-api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": [
{
"id": "78f599ba-cddd-49fb-809a-246d0471d836",
"sender_wallet_id": null,
"receiver_wallet_id": null,
"transaction_id": "IWGAHO83UD",
"asset_code": "USDC",
"amount": "12.00000000",
"reference_id": "a988fc09-72e3-44f4-834d-2210cb4c9982",
"status": "PENDING",
"created_at": "2025-05-20T19:49:30.295Z",
"updated_at": "2025-05-20T19:49:30.295Z",
"crypto_transaction_id": null,
"network": null,
"transaction_type": "PAYOUT",
"transaction_mode": "DEBIT",
"exchange_rate": "1616.00",
"withdrawal_recipient_name": "John Doe",
"fee": "50.00",
"balance": "0.00000000",
"reason": "Withdraw to 1234567890/000004",
"customer_id": null,
"recipient_currency": "NGN",
"recipient_country": "Nigeria",
"bank_name": "Example Bank",
"bank_code": "000004",
"address": null,
"bank_account": "1234567890"
},
{
"id": "94f18946-9976-4b01-bbf2-7dda9f0c9fc7",
"sender_wallet_id": null,
"receiver_wallet_id": null,
"transaction_id": "WDOG7EK8Q1",
"asset_code": "USDC",
"amount": "55.00000000",
"reference_id": "e8131542-0d71-4d93-8415-d07d357145f6",
"status": "PENDING",
"created_at": "2025-05-19T08:55:58.220Z",
"updated_at": "2025-05-19T08:55:58.220Z",
"crypto_transaction_id": null,
"network": null,
"transaction_type": "PAYOUT",
"transaction_mode": "DEBIT",
"exchange_rate": "1611.74",
"withdrawal_recipient_name": "Jane Smith",
"fee": "50.00",
"balance": "0.00000000",
"reason": "Withdraw to 9876543210/000004",
"customer_id": null,
"recipient_currency": "NGN",
"recipient_country": "Nigeria",
"bank_name": "Sample Bank",
"bank_code": "000004",
"address": null,
"bank_account": "9876543210"
}
],
"pagination": {
"total": 2,
"page": 1,
"limit": 10,
"totalPages": 1
}
}{
"status": "error",
"message": "Invalid date format. Please use YYYY-MM-DD",
"code": "INVALID_DATE_FORMAT"
}{
"status": "error",
"message": "Authentication required",
"code": "UNAUTHORIZED"
}{
"status": "error",
"message": "Too many requests",
"code": "RATE_LIMIT_EXCEEDED"
}Retrieves a list of transactions associated with your account.
Key Features:
- Supports filtering by transaction ID, customer ID, transaction type, mode, currency, date range, and status
- Allows searching by transaction ID
- Includes pagination metadata
Query Parameters:
customer_id: Filter by customer ID (uuid)search: Search by transaction ID (partial or full match)status: Filter by transaction status (pending,completed,reversed,failed.)transaction_id: Filter by exact transaction IDtransaction_type: Filter by type (deposit,payout,internal transfer)transaction_mode: Filter by mode (credit,debit)currency: Filter by currency (usdc,usdt)start_date: Filter by start date (format:YYYY-MM-DD)end_date: Filter by end date (format:YYYY-MM-DD)page: Page number (default: 1)limit: Items per page (default: 10)
Headers
Query Parameters
Available options:
PENDING, COMPLETED, REVERSED, FAILED Available options:
DEPOSIT, PAYOUT, INTERNAL TRANSFER Available options:
CREDIT, DEBIT Available options:
USDC Required range:
x >= 1Required range:
1 <= x <= 100